#
# spec file for package buffer
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           buffer
Version:        1.19
Release:        868.1
Summary:        Buffering stdin and stdout
License:        GPL-2.0-or-later
Group:          System/Base
Source:         buffer-%{version}.tar.gz
Patch0:         buffer-%{version}.dif
Patch1:         buffer-gcc15.patch

%description
This is a program designed to speed up writing tapes on remote tape
drives.  When this program is put "in the pipe," two processes are
started.  One process reads from standard-in and the other writes to
standard-out.  Both processes communicate via shared memory.

%prep
%autosetup -p0

%build
%make_build CFLAGS="%{optflags}"

%install
mkdir -p %{buildroot}%{_bindir} %{buildroot}%{_mandir}/man1
make install INSTBIN=%{buildroot}%{_bindir} \
    	     INSTMAN=%{buildroot}%{_mandir}/man1 S=1

%files
%attr(755,root,root) %{_bindir}/buffer
%{_mandir}/man1/buffer.1%{?ext_man}

%changelog
* Thu Apr 17 2025 pgajdos@suse.com
- fix build with gcc15
  + buffer-gcc15.patch
* Wed Jan 22 2020 Martin Pluskal <mpluskal@suse.com>
- Cleanup spec file:
  * Follow latest SPDX license identifiers
  * Trim obsolete parts
* Fri Sep 30 2011 uli@suse.com
- cross-build fix: use %%__cc macro
* Sat Sep 17 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
- Use %%_smp_mflags for parallel build
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jul  5 2005 schwab@suse.de
- Add missing includes.
- Fix printf format.
* Thu Sep 16 2004 schwab@suse.de
- Fix return type.
* Tue Jan 20 2004 schwab@suse.de
- Remove conflicting declaration.
* Wed Apr 23 2003 schwab@suse.de
- Use BuildRoot.
* Tue Sep 17 2002 ro@suse.de
- removed bogus self-provides
* Mon Sep 25 2000 schwab@suse.de
- Add group tag.
* Thu Jan 20 2000 schwab@suse.de
- /usr/man -> /usr/share/man
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Fri Aug 27 1999 schwab@suse.de
- update to 1.19
* Mon Nov  9 1998 ro@suse.de
- cast argument for semctl to union semun
* Thu Aug 27 1998 ro@suse.de
- define sem_semun for glibc
